clear screen
drop table emp;
drop table err$_emp;
set echo on
clear screen;
create table emp
as
select * from scott.emp 
 where 1=0;
pause
clear screen
exec dbms_errlog.create_error_log( 'EMP' );
pause
clear screen
set linesize 72
desc err$_emp;
pause
clear screen
alter table emp add constraint emp_check_sal check(sal > 900);
create trigger emp_trigger
after insert on emp for each row
begin
   if ( :new.ename = 'ALLEN' )
   then
     raise_application_error
     (-20024, 'Failed Validation' );
   end if;
end;
/
alter table emp add constraint emp_pk primary key(empno);
pause
clear screen
insert /*+ APPEND */ into emp  
select * from scott.emp;
select * from emp;
pause
clear screen
insert /*+ APPEND */ into emp
select * from scott.emp
LOG ERRORS REJECT LIMIT UNLIMITED;
commit;
insert into emp (empno) values ( null ) log errors reject limit unlimited;
commit;
pause
clear screen
column empno format a10
select ORA_ERR_NUMBER$,
       ORA_ERR_OPTYP$,
       EMPNO,
       ORA_ERR_MESG$
  from err$_emp;
column empno clear
pause
clear screen
update emp 
   set sal = sal - 2000
 where sal between 2000 and 3000
   LOG ERRORS ('My Update')
REJECT LIMIT UNLIMITED;
pause
clear screen
column empno format a10
set pause on
select ORA_ERR_NUMBER$,
       ORA_ERR_OPTYP$,
       ORA_ERR_TAG$,
       ORA_ERR_ROWID$,
       EMPNO,
       ORA_ERR_MESG$
  from err$_emp
 where ora_err_tag$ = 'My Update';
column empno clear
set pause off
pause
clear screen
