set echo on
drop table t;
clear screen
create table t 
as
select owner, 
       object_id id1, cast( object_id as binary_double ) id2
  from all_objects
/
pause
clear screen
select owner, (sum(ln(id1))) - (sum(ln(id2)))  delta
  from t 
 group by owner
having (sum(ln(id1))) <> (sum(ln(id2))) ;
pause

clear screen
@trace
select (sum(ln(id1))) from t group by owner;
select (sum(ln(id2))) from t group by owner;
select (sum(ln(cast( id1 as binary_double) ))) from t group by owner;
@connect /

!tkprof `ls -t $ORACLE_HOME/admin/$ORACLE_SID/udump/*ora_*.trc | head -1` tk.prf sys=no
edit tk.prf
