alter system set encryption wallet close;
set echo on
drop tablespace tde_test including contents and datafiles;
clear screen
alter system set encryption wallet open identified by foobar;
pause
clear screen
create tablespace tde_test
datafile '/tmp/tde_test.dbf' size 5m;
pause
drop table t;
clear screen
create table t
( c1 varchar2(30),
  c2 varchar2(30) ENCRYPT
)
tablespace tde_test;
pause
clear screen
insert into t values 
( 'this_is_NOT_encrypted', 
  'this_is_encrypted' );
commit;
pause
clear screen
select * from t;
pause
clear screen
alter system set encryption wallet close;
pause
clear screen
select c1 from t;
select c2 from t;
pause
clear screen
alter system set encryption wallet open identified by foobar;
select * from t;
pause
clear screen

alter system checkpoint;
pause
clear screen;
!strings -a /tmp/tde_test.dbf | grep 'this_is'
pause
clear screen
drop tablespace tde_test including contents and datafiles;
clear screen
